Package com.logicaldoc.core.security

# Class Client

java.lang.Object
com.logicaldoc.core.security.Client

All Implemented Interfaces:
  `Serializable`

@Embeddable public class Client extends Object implements Serializable
A remote client connected to LogicalDOC

Since:
  7.5
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Client()`
`Client(jakarta.servlet.http.HttpServletRequest req)`
`Client(String id, String address, String host)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getAddress()`
`Device`
`getDevice()`
`Geolocation`
`getGeolocation()`
`String`
`getHost()`
`String`
`getId()`
`String`
`getUsername()`
`int`
`hashCode()`
`void`
`setAddress(String address)`
`void`
`setDevice(Device device)`
`void`
`setGeolocation(Geolocation geolocation)`
`void`
`setHost(String host)`
`void`
`setId(String id)`
`void`
`setUsername(String username)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Client

public Client()

### Client

public Client(jakarta.servlet.http.HttpServletRequest req)

### Client

public Client(String id, String address, String host)

## Method Details

### getId

public String getId()

### setId

public void setId(String id)

### getAddress

public String getAddress()

### setAddress

public void setAddress(String address)

### getHost

public String getHost()

### setHost

public void setHost(String host)

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getUsername

public String getUsername()

### setUsername

public void setUsername(String username)

### getDevice

public Device getDevice()

### setDevice

public void setDevice(Device device)

### getGeolocation

public Geolocation getGeolocation()

### setGeolocation

public void setGeolocation(Geolocation geolocation)